`<fsLib>` | (Feature-structure library) assembles library of feature structure elements.
Attributes: |
`type` | indicates type of feature-structure library (i.e., what type of feature structures it contains).
| Datatype: CDATA
| Values: Character string, e.g. word structure library.
| Default: #IMPLIED

Example

    <fsLib type='agreement structure library'>
      <fs type='agreement structure' id=P1Ns feats='P1 Ns'></fs>
      <fs type='agreement structure' id=P1Np feats='P1 Np'></fs>
    <!-- ... -->
      </fsLib>

Note

If a `<vAlt>` member of an `<fsLib>` tag does not consist of `<fs>` tags, the result is a semantic error.

Tagset additional tag set for feature structures
Class metadata [and indirectly also:] globincl
Filename `teifs2`
Content: Zero or more feature structures or alternations of feature structures (expressed as `<vAlt>` elements, see remarks).
Parents[none]
Children fs vAlt
Declaration

    <!ELEMENT fsLib         - -  ((fs | vAlt)*)                     >
    <!ATTLIST fsLib              %a.global
              type               CDATA               #IMPLIED       >

See 16.3

Back to index